[Realtek ID 275] No audio Sony VAIO VPCs111FM Lucid A2

Bug #525149 reported by Jim Rorie on 2010-02-21
132
This bug affects 21 people
Affects Status Importance Assigned to Milestone
ALSA driver
Invalid
Undecided
Unassigned
Linux
Invalid
Undecided
Unassigned
alsa-driver (Ubuntu)
Low
Unassigned
Nominated for Lucid by Mathieu Laurent
linux (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by Mathieu Laurent

Bug Description

Tried model=sony, vaio and sony-assamd. Reports as a Realtek 275. Can't find any reference for this adapter.

jfrorie@medusa:/usr/share/sounds/alsa$ cat /proc/asound/card0/codec#* | grep Codec
Codec: Realtek ID 275
Codec: Intel G45 DEVIBX

ProblemType: Bug
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: HDA Generic [HDA Generic]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/hwC0D3', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D3p', '/dev/snd/seq', '/dev/snd/timer', '/dev/sequencer2', '/dev/sequencer'] failed with exit code 1:
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xdb400000 irq 22'
   Mixer name : 'Intel G45 DEVIBX'
   Components : 'HDA:10ec0275,104d4100,00100005 HDA:80862804,104d4100,00100000'
   Controls : 8
   Simple ctrls : 4
Date: Sat Feb 20 22:55:45 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
SelectedCard: 0 Intel HDA-Intel - HDA Intel
SourcePackage: alsa-driver
Symptom: audio
Title: [Realtek ID 275] ALSA test tone not correctly played back
Uname: Linux 2.6.32-14-generic x86_64
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: HDA Generic [HDA Generic]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jfrorie 8317 F.... pulseaudio
 /dev/snd/pcmC0D0p: jfrorie 8317 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xdb400000 irq 22'
   Mixer name : 'Intel G45 DEVIBX'
   Components : 'HDA:10ec0275,104d4100,00100005 HDA:80862804,104d4100,00100000'
   Controls : 8
   Simple ctrls : 4
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=0e07f228-728a-4af8-a5f8-775a4834aaef
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
MachineType: Sony Corporation VPCS111FM
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-19-generic root=UUID=cecbf4e1-c827-4871-9a67-b98b545ddef7 ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Regression: Yes
RelatedPackageVersions: linux-firmware 1.33
Reproducible: Yes
Tags: lucid lucid audio regression-potential needs-upstream-testing
Uname: Linux 2.6.32-19-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 01/15/2010
dmi.bios.vendor: INSYDE
dmi.bios.version: R0281Q3
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnINSYDE:bvrR0281Q3:bd01/15/2010:svnSonyCorporation:pnVPCS111FM:pvrC103WWV4:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VPCS111FM
dmi.product.version: C103WWV4
dmi.sys.vendor: Sony Corporation

Jim Rorie (jfrorie) wrote :

This bug also affects the Vaio VPCY115FX, which uses the same chipset Realtek ID 275.

Installing the newest version of Alsa (1.0.22.1) from source makes the speakers work, but not the internal microphone.

I have also tried the following solutions, without success:

- http://ubuntuforums.org/showthread.php?t=1335825
- http://ubuntuforums.org/showthread.php?t=1043352&page=2

Jim Rorie (jfrorie) wrote :

Verified that 1.0.22.1 activates internal speakers, but no microphone. Additionally, the system doesn't have a volume control in the panel.

Daniel T Chen (crimsun) on 2010-02-22
Changed in alsa-driver (Ubuntu):
status: New → Confirmed
importance: Undecided → Low
kenjiru (kenjiru) wrote :

This bug also affects the Sony Vaio VPCF11M1E, which uses the same chipset, Realtek ID 275.

I'm using the default alsa-1.0.20.1 package from the repository. Installing the following packages fixed the internal speakers problem for me.
linux-backports-modules-alsa-2.6.31-20-generic (2.6.31-20.22)
linux-backports-modules-alsa-karmic-generic (2.6.31.20.33)

But there is still no sound from the microphone.

I have a VPCS111FM as well.

I can confirm that kernel 2.6.33-rc8 or newest alsa-drivers 1.0.22.1 fix the issue (I'm testing out Lucid A2 after having a working Gentoo install, so I spent time debugging this).

Also, there's a project here, http://code.google.com/p/vaio-f11-linux/ which has some related stuff.

Here's a patch against 2.6.32.8 to enable the audio output:
  http://vaio-f11-linux.googlecode.com/issues/attachment?aid=2370601580639861372&name=realtek-pcid.patch

Here's a patch to enable the microphone:
  http://vaio-f11-linux.googlecode.com/issues/attachment?aid=1581767927075835598&name=enable-internal-microphone.patch

However, the microphone patch is "suboptimal". Please see the bug reporter's discussion with an alsa dev here:
  http://code.google.com/p/vaio-f11-linux/wiki/EnableMicrophone

... basically, right now, it's either microphone or line-in, until the alsa devs do a real fix/hack to switch the input. For me, microphone only is a better happy default.

If we can get this fixed, I think I might stay with Ubuntu. :-)

Jim Rorie (jfrorie) wrote :

@Armando

Massive kudos for this information. I looked everywhere for something upstreamish. :)

Mathieu Laurent (mla) wrote :

My sound card on Sony Vaio VPCF11Z1E laptop works with the new linux kernel 2.6.33:

Sound Card :

00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
01:00.1 Audio device: nVidia Corporation High Definition Audio Controller (rev a1)

Linux :

Linux 2.6.33-020633-generic #020633 SMP Thu Feb 25 10:10:03 UTC 2010 x86_64 GNU/Linux

From http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.33/

Updating the kernel didn't work for me. The output works, but still no microphone.

Mathieu Laurent (mla) wrote :

On lucid, you can install :

http://packages.ubuntu.com/lucid/linux-backports-modules-alsa-lucid-generic

The sound works

For the microphone, there are a patch of one line on the linux image on this file : /sound/pci/hda/patch_realtek.c

More info here : http://code.google.com/p/vaio-f11-linux/issues/detail?id=2

We need to create a bug on linux-image package about this bug.

Mathieu Laurent (mla) wrote :

Patch for microphone (on linux source)

tags: added: patch
Jim Rorie (jfrorie) wrote :

> On lucid, you can install :

> http://packages.ubuntu.com/lucid/linux-backports-modules-alsa-lucid-generic

Verified that this package restores sound.

Still no volume control, tho.

Giuseppe Pennisi (giupenni78) wrote :

I have the same problem but with Sony Vaio VPCEB1j1e.
Codec: Realtek ALC269
Codec: Intel G45 DEVIBX

wildk (konstantin-mirny) wrote :

I have the same behavior for Sony Vaio VPCY11S1E.

/proc/asound/card0/codec#0:Codec: Realtek ID 275
/proc/asound/card0/codec#3:Codec: Intel G45 DEVCTG

I'd like to also point out that the VPCS111FM is a Best Buy "Blue Label" laptop. Not that this matters much, but Ubuntu is going to see a lot more of this chipset for that reason, and it seems to be a popular one in general.

The Lucid beta1 has fixed a lot of my issues with the alpha series (running anything earlier was a complete non-starter on this hardware). I'm still new to Ubuntu, and I've been trying to make the switch for a while. This time seems *really* close, so I hope to have this fixed soon.

What is the possibility of a backport of the drivers from 2.6.33, or the newest ALSA, and if that happens, can we include the microphone patch as well? As I referenced in my earlier post, an ALSA dev was made aware of the peculiarities of this chipset, and had some thoughts. I'd appreciate if Ubuntu devs would read on this issues, and let us all know of the possibility of seeing audio-out and audio-on for Lucid.

As always, happy to test.

Daniel T Chen (crimsun) wrote :

Bleeding edge (daily stable snapshots) have been available for both Karmic and Lucid for some time in ppa:ubuntu-audio-dev via the linux-alsa-driver-modules-$(uname -r) package.

Cuppa-Chino (hamcatcher) wrote :

similarly to my post on e-series sound problem can be temporarily fixed by changing node 0x19 in HDAAnalyser widget control vref to HIZ or GRD. needs to be done after everyboot

https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/537448/comments/46

code output for the f-series (at least for one model) appears to be:

Diff for codec 0/0 (0x10ec0269):
---
+++
@@ -165,17 +165,17 @@
   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
   Amp-Out vals: [0x80 0x80]
   Pincap 0x00003734: IN OUT Detect
     Vref caps: HIZ 50 GRD 80 100
   Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
     Conn = 1/8, Color = Black
     DefAssociation = 0xf, Sequence = 0x0
     Misc = NO_PRESENCE
- Pin-ctls: 0x24: IN VREF_80
+ Pin-ctls: 0x20: IN VREF_HIZ
   Unsolicited: tag=0x00, enabled=0
   Connection: 2
      0x0c* 0x0d
 Node 0x1a [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
   Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
   Amp-In vals: [0x00 0x00]
   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
   Amp-Out vals: [0x80 0x80

Leif Andersen (leifandersen) wrote :

I can't install the package linux-backports-modules-alsa-lucid-generic, it gives the following error:
The following packages have unmet dependencies:
  linux-backports-modules-alsa-lucid-generic: Depends: linux-backports-modules-alsa-2.6.32-17-generic but it is not installable
E: Broken packages

And I can't install linux-backports-modules-alsa-2.6.32-17-generic, as there is no installation candidate.

I was get a temporary fix, by downloading this: http://www.alsa-project.org/main/index.php/HDA_Analyzer

And switching node 19:VRef, from 80 to HIZ. However, it resets everytime the machine reboots.

Mathieu Laurent (mla) wrote :

Yes, same bug... linux-backports-modules-alsa-2.6.32-17-generic broken... No more sound

Leif Andersen (leifandersen) wrote :

Oh, here is a diff of what I needed to do to get it working. Maybe one of you will actually be able to understand this:

Diff for codec 0/0 (0x10ec0269):
---
+++
@@ -165,17 +165,17 @@
   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
   Amp-Out vals: [0x80 0x80]
   Pincap 0x00003734: IN OUT Detect
     Vref caps: HIZ 50 GRD 80 100
   Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
     Conn = 1/8, Color = Black
     DefAssociation = 0xf, Sequence = 0x0
     Misc = NO_PRESENCE
- Pin-ctls: 0x24: IN VREF_80
+ Pin-ctls: 0x20: IN VREF_HIZ
   Unsolicited: tag=0x00, enabled=0
   Connection: 2
      0x0c* 0x0d
 Node 0x1a [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
   Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
   Amp-In vals: [0x00 0x00]
   Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
   Amp-Out vals: [0x80 0x80

Mathieu Laurent (mla) wrote :

linux-backports-modules-alsa-lucid-generic works again (version 2.6.32-18-generic)

sebass (js-bruzzone) wrote :

I'm having the same problem, on a VAIO VPCF1 with the same sound device. I'm trying get
a newer alsa

Leif Andersen (leifandersen) wrote :

Installing linux-backports-modules-alsa-lucid-generic didn't work. Again though, the diff in my comment did...although I have to redo it every time I reboot.

Daniel T Chen (crimsun) wrote :

Guys, please make sure that you've filed separate bug reports against alsa-driver. This bug report is *only for Jim Rorie's hardware*.

Jim, please make sure that you try model=laptop-dmic in Lucid, i.e., the following line should be in /etc/modprobe.d/alsa-base.conf:

options snd-hda-intel model=laptop-dmic

Please reboot after adding it and reproduce the symptom, then rerun apport-collect 525149.

Remember, this is Jim's bug report!

Daniel T Chen (crimsun) wrote :

Jim, also, you'll need to be using linux-alsa-driver-modules-$(uname -r) from ppa:ubuntu-audio-dev.

Jim Rorie (jfrorie) wrote :

@daniel

How can I verify which module I'm running? I have the PPA, but with all the upgrades I'm not sure where I'm at...

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Jim Rorie (jfrorie) wrote :

To sum up, I have sound output but no mic. I tested by attempting a record via sound recorder. Input volume is NOT muted.

Mathieu Laurent (mla) wrote :

This bug "[Realtek ID 275] No audio" is fixed in Lucid. You must close this bug.

A bug about the "no mic" is here and is linked to linux-image package : https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/531028

Jim Rorie (jfrorie) wrote :

Ok, I'm getting confused. Let me try this again.

I have sound output via the headphone jack. No sound via the speakers and no mic,

The following package gave me sound:
> http://packages.ubuntu.com/lucid/linux-backports-modules-alsa-lucid-generic

Arwin Tugade (arwin-tugade) wrote :

This is how I fixed it myself because I don't feel like waiting and I don't really care about the mic etc., I just needed sound to work. I'm using the latest stable from kernel.org (2.6.33.2), but here is the change I made and recompiled.

Use AT YOUR OWN RISK!

<KERN_SOURCE_PATH>/sound/pci/hda/patch_realtek.c

13479c13479
< {0x19, AC_VERB_SET_PIN_WIDGET_CONTROL, PIN_VREF80},
---
> {0x19, AC_VERB_SET_PIN_WIDGET_CONTROL, PIN_IN},

enjoy,
Arwin

Arwin Tugade (arwin-tugade) wrote :

I posted in the wrong thread, sorry about that.

Martijn vdS (martijn) wrote :

This bug is also present on the VPCS11X9E/B (as it uses the same Realtek chip; installing alsa-backports-lucid fixes audio output)

Jeremy Foshee (jeremyfoshee) wrote :

Hi Jim,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kernel-sound
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Jim Rorie (jfrorie) wrote :

I've removed alsa-backborts-linux and the sound is still working with the current kernel. So either the problem is fixed or my machine has become invalid as a test platform.

Jeremy Foshee (jeremyfoshee) wrote :

Hi Jim! :)

I'm a bit hesitant to consider this resolved, so I have set it to triaged for now. Once you've had the time to do some reboots and general use, we will consider this a fixed bug. Just let me know if you see it again.

Thanks!

~JFo

Changed in linux (Ubuntu):
status: Incomplete → Triaged

Hello!
Since I installed Lucid on my Sony Vaio S11 (with Realtek ID 275) the sound (output!) works well without the backport-sources, but the micro is still not working and so there is no sound input.

Bernie, try using linux-alsa-driver-modules-$(uname -r) from
ppa:ubuntu-audio-dev. Make sure you completely remove any alsa backports
first.

On May 1, 2010 6:31 PM, "bernie" <email address hidden> wrote:

Hello!
Since I installed Lucid on my Sony Vaio S11 (with Realtek ID 275) the sound
(output!) works well without the backport-sources, but the micro is still
not working and so there is no sound input.

--
[Realtek ID 275] No audio Sony VAIO VPCs111FM Lucid A2
https://bugs.launchpad.net/bugs/525149
Y...

Status in ALSA driver: Unknown
Status in The Linux Kernel: New
Status in “alsa-driver” package in Ub...

Bug description:
Tried model=sony, vaio and sony-assamd. Reports as a Realtek 275. Can't find
any ...
---

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
ArecordDev...

USER PID ACCESS COMMAND
/dev/snd/controlC0: jfrorie 8317 F.... pulseaudio
/dev/snd/pcm...

Card0.Amixer.info:
Card hw:0 'Intel'/'HDA Intel at 0xdb400000 irq 22'
Mixer name : 'Intel G45 DE...

DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=0e07f228-728a-4af8-a5f8-775a4834aaef
Inst...

ProcEnviron:
PATH=(custom, user)
LANG=en_US.utf8
SHELL=/bin/bash

ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Regression: Yes
RelatedPackageVe...

trisa (dietisheim) wrote :

Hi Daniel

I just tried the latest linux-alsa-driver-modules-2.6.32-21-generic (and removed the backport modules first). Unfortunately still no mic input, it stays completely muted. Sound output on the other hand, works flawlessly.

Cheers
André

> I just tried the latest linux-alsa-driver-modules-2.6.32-21-generic (and
> removed the backport modules first). Unfortunately still no mic input,
> it stays completely muted. Sound output on the other hand, works
> flawlessly.

Same thing here. Besides, there is also a different problem, which
also happened when I used Armando's patch. The speakers do not mute
when headphones are inserted, which resembles bug #109838.

--
Daniel

Changed in alsa-driver:
status: Unknown → New
Nick (ditloff) wrote :

This bug also affects the Vaio VPCY11M1R, with the same chipset Realtek ID 275.

Installing the latest version of Alsa from source makes the speakers work, but not the internal microphone, nor external mike as well.

David Henningsson (diwic) wrote :

Right, so we have several bug reporters here and it is difficult to know whether you're all having the same problem and/or hardware here.
So what I'd like you to do is to install the latest snapshot, https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules , reboot, test what is working and what isn't, then attach an alsa-info to this report: https://wiki.ubuntu.com/Audio/AlsaInfo
Then I can help you sort out whether you're having the same hardware or if you need to file a separate bug. Thanks!

Jim Rorie (jfrorie) wrote :

@David

As the original reporter, would it be helpful if I did this as well?

David Henningsson (diwic) wrote :

@Jim Rorie, yes please, that'd be great!
Also, if something is not working, would you also have the system in that "state" where it should have been working, but isn't, when you attach the alsa-info? Thanks in advance!

auxbuss (launchpad-auxbuss) wrote :

Not meaning to confuse things, but I upgraded to Maverick and there have been some changes for me.

Speaker previously required linux-alsa-driver-modules-2.6.32-??-generic, but they now work without this package; the kernel is now 2.6.35-19.

The inbuilt and plug-in mics still don't work, although apparently this is fixed in 2.6.36-??

David Henningsson (diwic) wrote :

@auxbuss, okay, what makes you think/believe it is fixed in 2.6.36? Can you also attach an alsa-info according to https://wiki.ubuntu.com/Audio/AlsaInfo =

auxbuss (launchpad-auxbuss) wrote :

Hi,

on my Sony Vaio S11 the sound works out of the box now, expect the microphone doesn't work at all.

David Henningsson (diwic) wrote :

@auxbuss, thanks for bringing me a little up-to-date.

* The one-liner patch attached here (realtek-pcid.patch), if it enables speaker output on Lucid out-of-the-box, it seems like a SRU wouldn't hurt. That still won't enable the microphone though, at least not for everybody.

* But, if the adc-switch code has been committed to 2.6.36, the drivers at https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules would solve the mic problem as well, as they contain the latest snapshot. This goes for both Lucid and Maverick. Can you confirm that it is the case?

@bernie, you probably uploaded the wrong file.

auxbuss (launchpad-auxbuss) wrote :

Installing linux-alsa-driver-modules-2.6.35-19-generic killed all audio outputs. See attached.

auxbuss (launchpad-auxbuss) wrote :
David Henningsson (diwic) wrote :

@auxbuss, hmm, I'll need to have an alsa-info according to https://wiki.ubuntu.com/Audio/AlsaInfo to understand what actually happened there. Sorry for the inconvenience.

@David Henningsson, I hope this time I attached the right file. Also my writing in English was not correct, it must be "Everything works out of the box, exept the microphone doesn't work at all.
Sorry for the inconvenience.

auxbuss (launchpad-auxbuss) wrote :

There ya go.

David Henningsson (diwic) wrote :

@auxbuss, hmm...

[ 33.536458] snd: Unknown symbol unregister_sound_special (err 0)
[ 33.538087] snd: Unknown symbol register_sound_special_device (err 0)

It might have been some temporary error (I hope...) if you try again by downloading https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules and reboot, that it will get us back on track. If not, could you please paste the output of "modinfo snd", please?

David Henningsson (diwic) wrote :

@bernie:

[ 16.736463] hda_codec: ALC275: no valid ADC found; using fallback 0x8

...this means we're not getting the right dual-ADC code. When I try to run your codec in an emulator against the latest snapshot, it succeeds in finding that code.

What's the output of "modinfo snd-hda-codec-realtek" ?

@David Henningsson:

since a few days I use Ubuntu 10.10, but there it's the same, the microphone doesn't work.

The output of 'modinfo snd-hda-codec-realtek' in Ubuntu 10.10 is:
filename: /lib/modules/2.6.35-20-generic/kernel/sound/pci/hda/snd-hda-codec-realtek.ko
description: Realtek HD-audio codec
license: GPL
alias: snd-hda-codec-id:10ec*
srcversion: E0A6185031D7E477159CDBD
depends: snd-hda-codec,snd
vermagic: 2.6.35-20-generic SMP mod_unload modversions

David Henningsson (diwic) wrote :

@bernie, according to the modinfo output, you haven't successfully installed https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules - could you do that, reboot and try again? Thanks!

auxbuss (launchpad-auxbuss) wrote :

Both mics still not working using the PPA. File attached.

I can still get the ext mic working by using HDAanalyzer to toggle the switches and set the volume.

These are my notes to myself:

   1. node0x23 mute and unmute Val0 because it shows default unmuted but in fact it is muted
   2. increase Node 0x08 AUD_IN Val0 to value 30-35 rather than the default of zero.

This is for the left channel only.

@David Henningsson:
Sorry, according to the Wiki I installed the repositories and modules, but it's the same output..

filename: /lib/modules/2.6.35-20-generic/kernel/sound/pci/hda/snd-hda-codec-realtek.ko
description: Realtek HD-audio codec
license: GPL
alias: snd-hda-codec-id:10ec*
srcversion: E0A6185031D7E477159CDBD
depends: snd-hda-codec,snd
vermagic: 2.6.35-20-generic SMP mod_unload modversions

David Henningsson (diwic) wrote :

@auxbuss:

[ 25.288553] hda_codec: ALC275: no valid ADC found; using fallback 0x8

So neither of you seem to have successfully activated the dual-ADC-switch. :-(

auxbuss (launchpad-auxbuss) wrote :

Guess it's back to the drawing board then :(

David Henningsson (diwic) wrote :

I think I know why the new modules don't get loaded. We'll have to wait for Brad Figg to bump the ABI from 2.6.35-19 to 2.6.35-20 on the new modules. Once that is done, please retry. Sorry for the inconvenience.

auxbuss (launchpad-auxbuss) wrote :

Seems we've gone to 2.6.35-21

David Henningsson (diwic) wrote :

Okay, if you're tired of waiting, download and install http://people.canonical.com/~diwic/temp/alsa-intel-hda-diwic-dkms_1.0.23.diwic_all.deb , reboot and test - it contains the latest snapshot as well. After successful installation, "modprobe snd-hda-codec-realtek" should say something with "/updates/dkms" in it.

I just tried and after rebooting it works great!!! Thanks

David Henningsson (diwic) wrote :

> "modprobe snd-hda-codec-realtek"

That should have been "modinfo snd-hda-codec-realtek".

Jim Rorie (jfrorie) wrote :

>should say something with "/updates/dkms" in it.

Not seeing it:

jfrorie@medusa:~$ modinfo snd-hda-codec-realtek
filename: /lib/modules/2.6.32-24-generic/updates/alsa/snd-hda-codec-realtek.ko
description: Realtek HD-audio codec
license: GPL
alias: snd-hda-codec-id:10ec*
srcversion: 4513A8ACA8A682A191E5AE5
depends: snd-hda-codec,snd
vermagic: 2.6.32-24-generic SMP mod_unload modversions

I installed dkms modules from comment #81 on my VPCF11C5E with Maverick 2.6.35-22.

- Internal mic works (for the first time!)
- external mic doesn't work anymore (it worked with Lucid and linux-alsa-driver-modules)
- Internal speakers work, but left is muted
- Headset it's ok on both channels and inserting the jack mute the speakers

Guilherme Grigoletto (gcgrig) wrote :

I have the same problem.

I already tried to install on my VPCS111FM the ALSA modules and dkms modules from comment #8, both work the internal mic, (i never tried to use external) and the Internal speakers, but only right, the left one is mute. Headset is ok.

Tomas Vigouroux (tvigouroux) wrote :

I reported the bug #652096 for the same problem but in a SONY VAIO VPCS110FL. I installed patch from comment #81 and it works, but with the same restrictions of #85 and #86

Bishwa (kiran-nbishwa) wrote :

 I am having this sound problem in my sony VAIO VPCEB21FG Eseries. Neither the internal speaker nor the headphone works. But the microphone works. When I recorded a speech and saved and played it in Windows 7, I could hear sound, which indicates the microphone works, but I don't hear any sound, while playing a media file.

I have already spent 30 hrs in front of computer in 2 days.

If there is a solution do send in a simple way as I am a beginner. I prefer graphical way of correcting the problem, while terminal command may also do as well.

totof1169 (bourgeotc) wrote :

on maverick with a vaio vpcs111fm ,I installed dkms modules from comment #81 ,same conclusion
left speaker not working ,i was able to use int mic

i was able to use external mic ,using hda analiser and moving some value (but you need to do this every time you reboot ) ,no way for the other speaker

without mic no voip possible !!!!!!!!!!

mat95pat (korviny) wrote :

Same problem with Sony Vaio VPCS12X9E, installation dkms and package http://people.canonical.com/~diwic/temp/alsa-intel-hda-diwic-dkms_1.0.23.diwic_all.deb is only partial solution. Internal microphon is working, but recorded sound is terrible and only right internal speaker works, left one no.

Andrea Bianco (biancoand) wrote :

Same problem with Sony Vaio VPCY2, using http://people.canonical.com/~diwic/temp/alsa-intel-hda-diwic-dkms_1.0.23.diwic_all.deb it enables the Internal microphon ,but only right internal speaker is working.

Leif Andersen (leifandersen) wrote :

This issue seems to be resolved in later versions of ubuntu. (10.04.1, and 10.10). But it looks like the rest of you are having problems still.

David Henningsson (diwic) wrote :

Hi,

The other day there was a quirk called sony_vaio_gpio2 applied upstream that seemed to have helped people with only one speaker working. So try the following:
1) uninstalling the dkms package at http://people.canonical.com/~diwic/temp/alsa-intel-hda-diwic-dkms_1.0.23.diwic_all.deb (if installed)
2) https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules
3) reboot and test

Andrea Bianco (biancoand) wrote :

#92
the bug is present in ubuntu 10.10

#93
that works! Now i have 2 speakers and also the microphone working. Only it seems that the recorded voice is different from the true one. Don't know why. Thank you for helping.

totof1169 (bourgeotc) wrote :

solution on #93 works for me (ubuntu 10.10) vaio vpcs111fm

totof1169 (bourgeotc) wrote :

internal and external mic doesn t work any more after actualisation on kernel 2-6-35-26
still working if i boot on 2-6-35-25

David Henningsson (diwic) wrote :

@totof1169, this might be because the ubuntu-audio-dev builds are temporarily broken.

David Henningsson (diwic) wrote :

As far as I can tell, this does not seem to be a problem in Ubuntu 11.10. If you have the exact same hardware as the original reporter and sound is not working in the upcoming release, feel free to reopen this bug. Thanks!

Changed in alsa-driver (Ubuntu):
status: Confirmed → Fix Released
Changed in linux (Ubuntu):
status: Triaged → Fix Released
dino99 (9d9) wrote :

EOL reached or very close. Time to use some newer version.

Changed in linux:
status: New → Invalid
Changed in alsa-driver:
importance: Unknown → Undecided
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.